com.google.cloud.dataflow.sdk.transforms

## Class CombineFns.CoCombineResult

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.CombineFns.CoCombineResult

All Implemented Interfaces:
  Serializable

Enclosing class:
  CombineFns

    public static class CombineFns.CoCombineResult
    extends Object
    implements Serializable

A tuple of outputs produced by a composed combine functions.

See `CombineFns.compose()` or `CombineFns.composeKeyed()`) for details.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`<V> V` `get(TupleTag<V> tag)` Returns the value represented by the given `TupleTag`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### get

    public <V> V get(TupleTag<V> tag)

Returns the value represented by the given `TupleTag`.

It is an error to request a non-exist tuple tag from the `CombineFns.CoCombineResult`.